Excellent info in this thread. Is it necessary to uninstall the previous version?